summaryrefslogtreecommitdiffstats
path: root/network/ngrok
diff options
context:
space:
mode:
Diffstat (limited to 'network/ngrok')
-rw-r--r--network/ngrok/README4
-rw-r--r--network/ngrok/ngrok.SlackBuild82
-rw-r--r--network/ngrok/ngrok.info10
-rw-r--r--network/ngrok/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/network/ngrok/README b/network/ngrok/README
new file mode 100644
index 0000000000..13f022d63b
--- /dev/null
+++ b/network/ngrok/README
@@ -0,0 +1,4 @@
+ngrok (Tunnel local servers to be reachable via the internet)
+
+ngrok allows you to expose TCP/TLS/HTTP servers running on your local machine
+to the internet. Just tell ngrok what port your server is listening on.
diff --git a/network/ngrok/ngrok.SlackBuild b/network/ngrok/ngrok.SlackBuild
new file mode 100644
index 0000000000..b3f08c9ce0
--- /dev/null
+++ b/network/ngrok/ngrok.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for ngrok
+
+# Copyright 2020-2021 Ebben Aries <slackbuilds@dscp.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ngrok
+VERSION=${VERSION:-2.3.37}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+case "$ARCH" in
+ x86_64)
+ BINARCH="amd64"
+ ;;
+ i?86)
+ BINARCH="386"
+ ;;
+ *)
+ echo "$ARCH is not supported."
+ exit 1
+ ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/${PRGNAM}-${VERSION}-linux-${BINARCH}.zip
+chown -R root:root .
+find -L . \
+\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+install -D -m 0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ngrok/ngrok.info b/network/ngrok/ngrok.info
new file mode 100644
index 0000000000..5258614f8c
--- /dev/null
+++ b/network/ngrok/ngrok.info
@@ -0,0 +1,10 @@
+PRGNAM="ngrok"
+VERSION="2.3.37"
+HOMEPAGE="https://ngrok.com"
+DOWNLOAD="https://bin.equinox.io/c/4VmDzA7iaHb/ngrok-2.3.37-linux-386.zip"
+MD5SUM="2569c067239b3cd270f7032cd4e812fa"
+DOWNLOAD_x86_64="https://bin.equinox.io/c/4VmDzA7iaHb/ngrok-2.3.37-linux-amd64.zip"
+MD5SUM_x86_64="a1ec825b2c854e3e1db7f70d44d46941"
+REQUIRES=""
+MAINTAINER="Ebben Aries"
+EMAIL="slackbuilds@dscp.org"
diff --git a/network/ngrok/slack-desc b/network/ngrok/slack-desc
new file mode 100644
index 0000000000..b449849acf
--- /dev/null
+++ b/network/ngrok/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler----------------------------------------------------------|
+ngrok: ngrok (Tunnel local servers to be reachable via the internet)
+ngrok:
+ngrok: ngrok allows you to expose TCP/TLS/HTTP servers running on your local
+ngrok: machine to the internet. Just tell ngrok what port your server is
+ngrok: listening on.
+ngrok:
+ngrok: Home-Page: https://ngrok.com
+ngrok:
+ngrok:
+ngrok:
+ngrok: